
%bcond_with	git		# fetch the newest version from git

%if %{with git}
%define git_url		%{?luakit_git_url}%{!?luakit_git_url:git://github.com/mason-larobina/luakit}
%define git_branch	%{?luakit_git_branch}%{!?luakit_git_branch:develop}
%endif

%define		rel	1
Summary:	WebKitGTK+ based browser
Summary(hu.UTF-8):	WebKitGTK+ alapú böngésző
Summary(pl.UTF-8):	Przeglądarka oparta na WebKitGTK+
Name:		luakit
Version:	2012.03.25
Release:	%{rel}%{?with_git:.git.%(date +%s)}
License:	GPL v3
Group:		Applications
Source0:	http://github.com/mason-larobina/luakit/tarball/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	e25aaeacfa5758127b3f677eafba9aa2
Patch0:		%{name}-shebang.patch
URL:		http://luakit.org/
%{?with_git:BuildRequires:	git-core}
BuildRequires:	glib-devel
BuildRequires:	gtk+2-devel
BuildRequires:	gtk-webkit-devel
BuildRequires:	help2man
BuildRequires:	libsoup-devel
BuildRequires:	libunique-devel
BuildRequires:	lua51
BuildRequires:	lua51-devel
BuildRequires:	pkgconfig
Requires:	dmenu
Requires:	wget
Suggests:	ca-certificates
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
luakit is a highly configurable, micro-browser framework based on the
WebKit web content engine and the GTK+ toolkit. It is very fast,
extensible by Lua.

%description -l hu.UTF-8
luakit egy magas szinten konfigurálható, micro-böngésző keretrendszer
WebKit motorral és GTK+ grafikus felületettel. Nagyon gyors, és Lua
nyelven bővíthető.

%description -l pl.UTF-8
luakit jest wysoko konfigurowalnym frameworkiem mikro-przeglądarki
opartym na silniku webowym WebKit oraz GTK+. Jest szybki i
rozszeezalny przez Lua.

%prep
%if %{without git}
%setup -qc
mv mason-larobina-%{name}-*/* .
%patch0 -p1
%else
%setup -qcT
git clone -b %{git_branch} %{git_url} .
%{!?luakit_skip_patches:
%patch0 -p1
}
%endif

%build
CFLAGS="%{rpmcflags}" \
LDFLAGS="%{rpmldflags}" \
%{__make} \
	PREFIX=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	PREFIX=%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/%{name}/docs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING PATCHES README.md

%dir %{_sysconfdir}/xdg/luakit
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/luakit/*.lua
%attr(755,root,root) %{_bindir}/luakit
%{_datadir}/luakit
%{_pixmapsdir}/luakit.png
%{_mandir}/man1/luakit.1*
%{_desktopdir}/luakit.desktop
%changelog
* Wed Aug 29 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/luakit.git;a=log;h=master

* Wed Aug 29 2012 Jan Rękorajski <baggins@pld-linux.org> 633699b
Updated to 2012.03.25

* Wed Aug 29 2012 Jan Rękorajski <baggins@pld-linux.org> fefa06a
- release 2 (by relup.sh)

* Mon Sep 12 2011 Krzysztof Krakowiak <evil@pld-linux.org> 3dbe934
- up to 2011.07.22
- added BR: libunique-devel

* Sat May 28 2011 Krzysztof Krakowiak <evil@pld-linux.org> 12abbc6
- up to 2011.05.06

* Tue Apr 19 2011 lisu <lisu@pld-linux.org> f916259
- obsoleted

* Tue Apr 19 2011 lisu <lisu@pld-linux.org> ab6dfc2
- add "drop obsoleted -make.patch" comment to previous commit log

* Tue Apr 19 2011 lisu <lisu@pld-linux.org> 7f49f6e
- updated to 2011.04.13
- pl desc and summary
- drop obsoleted -make.patch

* Thu Jan 27 2011 sparky <sparky@pld-linux.org> 8bdbe2f
- BR: pkgconfig

* Wed Jan 12 2011 lisu <lisu@pld-linux.org> ee94a37
- up to 2010.12.25
- use __rm macro

* Mon Oct 18 2010 Elan Ruusamäe <glen@pld-linux.org> b5696a6
- simplify git checkout

* Sat Oct 16 2010 pawelz <pawelz@pld-linux.org> 794a5d5
- fixed conditional patching

* Fri Oct 15 2010 pawelz <pawelz@pld-linux.org> 6299949
- %bcond_with git: ugly hack to build the newest git version

* Fri Sep 24 2010 pawelz <pawelz@pld-linux.org> f3b8d5b
- dropped BR: gperf
- BR: lua51 (it is used directly in build-process)
- up to 2010.09.24

* Fri Sep 24 2010 pawelz <pawelz@pld-linux.org> ef3c76b
- s#/usr/bin/env lua#/usr/bin/lua51#

* Fri Sep 03 2010 pawelz <pawelz@pld-linux.org> 3734c56
- R: wget (for default download handler)
- BR: gperf
- BR: libsoup-devel (as it is used directly in the code, not only via webkit)
- help2man is BR, not R

* Fri Sep 03 2010 pawelz <pawelz@pld-linux.org> afe787a
- Suggests: ca-certificates

* Tue Aug 31 2010 lisu <lisu@pld-linux.org> 8ed22b2
- s/halp2man/help2man

* Tue Aug 31 2010 pawelz <pawelz@pld-linux.org> c18c77d
- R: dmenu

* Mon Aug 30 2010 pawelz <pawelz@pld-linux.org> b3a30aa
- up to 2010.08.30

* Mon Aug 30 2010 pawelz <pawelz@pld-linux.org> fa1c211
- updated for 2010.08.30

